Index: /trunk/SRC/ToBeReviewed/PLOTS/axe.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/PLOTS/axe.pro	(revision 226)
@@ -8,26 +8,26 @@
 ; pltz and pltt
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
 ; @param COUPE {type=string}
-; It designate the type of cut to which the axes we create 
+; It designate the type of cut to which the axes we create
 ; must report. For example: 'xy','xt'...
 ;
 ; @param TEMPSMIN {in}{required}
-; In the case where we do cut containing the time dimension, we have 
+; In the case where we do cut containing the time dimension, we have
 ; to specify the beginning of the time's axis in julian days.
 ;
 ; @param TEMPSMAX {in}{required}
-; In the case where we do cut containing the time dimension, we have 
+; In the case where we do cut containing the time dimension, we have
 ; to specify the end of the time's axis in julian days.
 ;
-; @keyword SIN 
+; @keyword SIN
 ; activated when we trace in sinus of the latitude
 ;
 ; @keyword SEPDATE {type=string}
-; It separate the different constituents of the date. By default, 
-; it is a return to the line when we do a 'yt', 'zt' or a 't'. 
-; In the other cases, it is a blank. 
+; It separate the different constituents of the date. By default,
+; it is a return to the line when we do a 'yt', 'zt' or a 't'.
+; In the other cases, it is a blank.
 ;
 ; @keyword DIGITSYEAR
@@ -36,7 +36,7 @@
 ; information on %Z and %Y.
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; used to pass your keywords
-; 
+;
 ; @uses
 ; common.pro
@@ -65,6 +65,6 @@
    tempsun = systime(1)         ; pour key_performance
 ;--------------------------------------------------------------
-; Management of ticks of the time axis in the case of TEMPSMIN 
-; and TEMPSMAX are definied
+; Management of ticks of the time axis in the case of TEMPSMIN
+; and TEMPSMAX are defined
 ;--------------------------------------------------------------
    divday = 0
@@ -94,5 +94,5 @@
           ymax-ymin+1 GT 10: BEGIN & freq = 2. & tminor = 4 & datfmt = '%M'+sep+fmtyr & end
           ELSE: BEGIN & freq = 1. & tminor = 4 & datfmt = '%M'+sep+fmtyr & end
-          ENDCASE 
+          ENDCASE
           nticks = ceil((ymax-ymin)/freq) + 2
           yminf = (floor(ymin/freq))*freq
@@ -174,5 +174,5 @@
           for mn = 0, nticks-1 do ticknom[mn] = julday(mmin, dmin, ymin, hmin, mnminf + freq*mn, 0, _EXTRA = ex)
           ticknom = ticknom[where(ticknom GE tempsmin AND ticknom LE tempsmax, nticks)]
-          datfmt = '%H:%I' 
+          datfmt = '%H:%I'
         END
 ; second base
@@ -201,13 +201,13 @@
       dummy = label_date(0, 0, 0, DATE_FORMAT = datfmt, _EXTRA = ex)
       if chkstru(ex, 'DATE_FORMAT') then ex.DATE_FORMAT = ''
-   ENDIF 
+   ENDIF
 ;--------------------------------------------------------------
 ; Definition of axes parameters case by case
 ;--------------------------------------------------------------
    case coupe of
-      'pltv':BEGIN 
+      'pltv':BEGIN
         dtasize = tempsmin
          !x.range = [-0.5, dtasize[0] - 0.5]
-         !y.range = [-0.5, dtasize[1] - 0.5] 
+         !y.range = [-0.5, dtasize[1] - 0.5]
          if keyword_set(reverse_x) then !x.range=reverse(!x.range)
          if keyword_set(reverse_y) then !y.range=reverse(!y.range)
@@ -215,5 +215,5 @@
          !y.title = 'ny'
       END
-      'xy':BEGIN 
+      'xy':BEGIN
          if keyword_set(reverse_x) then !x.range=[lon2,lon1] ELSE !x.range=[lon1,lon2]
          if keyword_set(reverse_y) then !y.range=[lat2,lat1] ELSE !y.range=[lat1,lat2]
@@ -221,5 +221,5 @@
          IF key_onearth THEN !y.tickformat='lataxe'
       END
-      'yz':BEGIN 
+      'yz':BEGIN
          if keyword_set(reverse_x) then !x.range=[lat2,lat1] ELSE !x.range=[lat1,lat2]
          if keyword_set(reverse_y) then !y.range=[0, -1] ELSE !y.range = [-1, 0]
@@ -227,5 +227,5 @@
 ; number of ticks by default
             plot, [0], [0], /noerase, /nodata, xtick_get = xaxe
-; We increase this number to it be around 10 
+; We increase this number to it be around 10
             ticks = n_elements(xaxe)-1
             ticks = ticks*[1, 2, 4, 8]
@@ -241,5 +241,5 @@
          endif
       end
-      'xz':BEGIN 
+      'xz':BEGIN
          if keyword_set(reverse_x) then !x.range=[lon2,lon1] ELSE !x.range=[lon1,lon2]
          if keyword_set(reverse_y) then !y.range=[0, -1] ELSE !y.range = [-1, 0]
@@ -252,5 +252,5 @@
 ;          result = LABEL_DATE(DATE_FORMAT = '%M'+sep+fmtyr)
 ;          !y.tickformat='LABEL_DATE'
-         !y.tickname = LABEL_DATE(1, 0,ticknom,_EXTRA = ex) 
+         !y.tickname = LABEL_DATE(1, 0,ticknom,_EXTRA = ex)
          !y.ticklen=1.
          !y.gridstyle=2
@@ -266,5 +266,5 @@
          if keyword_set(reverse_y) then !y.range=[lat2, lat1] ELSE !y.range=[lat1,lat2]
          IF key_onearth THEN !y.tickformat='lataxe'
-         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex) 
+         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex)
          !x.ticklen=1.
          !x.gridstyle=2
@@ -278,6 +278,6 @@
          if keyword_set(reverse_x) then !x.range = [tempsmax,tempsmin]-tempsmin $
          ELSE !x.range=[tempsmin,tempsmax]-tempsmin
-         if vargrid EQ 'W' then gdep=gdepw[0:nzw-1] ELSE gdep=gdept[0:nzt-1] 
-         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex) 
+         if vargrid EQ 'W' then gdep=gdepw[0:nzw-1] ELSE gdep=gdept[0:nzt-1]
+         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex)
          !x.ticklen=1.
          !x.gridstyle=2
@@ -291,5 +291,5 @@
          if keyword_set(reverse_x) then !x.range = [tempsmax,tempsmin]-tempsmin $
          ELSE !x.range=[tempsmin,tempsmax]-tempsmin
-         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex) 
+         !x.tickname = LABEL_DATE(0, 0,ticknom,_EXTRA = ex)
          !x.ticklen=1.
          !x.gridstyle=2
@@ -308,5 +308,5 @@
 ; Number of ticks by default
             plot, [0], [0], /nodata, /noerase, xstyle = 5, ystyle = 5, xtick_get = xaxe
-; We increase this number to it be around 10 
+; We increase this number to it be around 10
             ticks = n_elements(xaxe)-1
             ticks = ticks*[1, 2, 4, 8]
@@ -324,10 +324,10 @@
       END
       'z' : begin
-;          if vargrid EQ 'W' then gdep=gdepw[0:nzw-1] ELSE gdep=gdept[0:nzt-1] 
+;          if vargrid EQ 'W' then gdep=gdepw[0:nzw-1] ELSE gdep=gdept[0:nzt-1]
 ;          if keyword_set(reverse_y) then !y.range=[gdep[0], gdep[n_elements(gdep)-1]] $
 ;          ELSE !y.range=[gdep[n_elements(gdep)-1], gdep[0]]
-      END 
+      END
    endcase
-   if keyword_set(key_performance) THEN print, 'temps axe', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps axe', systime(1)-tempsun
    return
 end
Index: /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/POSTSCRIPT/calibre.pro	(revision 226)
@@ -4,69 +4,68 @@
 ;+
 ; @file_comments
-; From a rapport of aspect and values (in line of character) of different margins, 
-; it calculate POSFENETRE and POSBAR which serve to place the drawing and the color 
-; bar thanks to !p.position on a leaf or a screen output whose the window has the same 
+; From a rapport of aspect and values (in line of character) of different margins,
+; it calculate POSFENETRE and POSBAR which serve to place the drawing and the color
+; bar thanks to !p.position on a leaf or a screen output whose the window has the same
 ; proportion.
 ;
-; @categories 
+; @categories
 ; Graphics
 ;
-; 
 ; @param RAPPORTYX {in}{required}
-; Scale rapport between the length of the y axis and the x one. For example, 
+; Scale rapport between the length of the y axis and the x one. For example,
 ; for an xy map: RAPPORTYX=(lat2-lat1)/(lon2-lon1)
 ;
 ; @param MARGE {in}{required}{type=vector}
-; Vector made of 4 elements containing the size of the left, right, up and 
+; Vector made of 4 elements containing the size of the left, right, up and
 ; bottom margin having to surround the graph. All is measured in lines of characters.
 ;
 ; @param MARGEBAR {in}{required}{type=vector}
-; Vector made of 4 elements containing the size of the left, right and bottom 
-; margin and -BEWARE- the last element is this time the position of the right up 
+; Vector made of 4 elements containing the size of the left, right and bottom
+; margin and -BEWARE- the last element is this time the position of the right up
 ; corner, having to surround the color bar. All is measured in lines of characters.
 ;
 ; @param SMALLDRAW {in}{required}{type=vector}
 ; 2 possibilities:
-;    It is vector made of 4 elements giving (in portrait or landscape) the position 
-; of the frame in which the drawing must go in. This position is given by coordinates 
-; of the 2 corners of the frame: in the left bottom and the right up. It is always 
-; (for a postscript or a screen output) express in cm, the origin being the 
+;    It is vector made of 4 elements giving (in portrait or landscape) the position
+; of the frame in which the drawing must go in. This position is given by coordinates
+; of the 2 corners of the frame: in the left bottom and the right up. It is always
+; (for a postscript or a screen output) express in cm, the origin being the
 ; left bottom corner.
-;    It is a vector made of 3 elements giving the number of column to be done in the 
-; drawing, the number of line and the number of the case the number have to occupy 
-; (see matlab). For example, to do 6 drawing in 3 columns and 2 lines and occupy 
+;    It is a vector made of 3 elements giving the number of column to be done in the
+; drawing, the number of line and the number of the case the number have to occupy
+; (see matlab). For example, to do 6 drawing in 3 columns and 2 lines and occupy
 ; the 4th case, small=[2,3,4]
 ;
 ; @keyword REMPLI
-; Force the drawing to occupy the biggest possible place defined by 
+; Force the drawing to occupy the biggest possible place defined by
 ; SMALLDRAW without respect the rapport y on x.
 ;
 ; @keyword YXASPECT
-; Force the rapport y on x to take the value RAPPORTYX*YXASPECT. 
+; Force the rapport y on x to take the value RAPPORTYX*YXASPECT.
 ; This keyword can be used in 2 cases:
-;   1) YXASPECT=1 : force RAPPORTYX to be respected otherwise, Calibre take the 
-;   initiative to change it a little in the case of the aspect rapport of SMALL 
-;   is too different of the one of SMALLDRAW. 
-;   2) YXASPECT=n : multiply by n the aspect rapport given by default. 
+;   1) YXASPECT=1 : force RAPPORTYX to be respected otherwise, Calibre take the
+;   initiative to change it a little in the case of the aspect rapport of SMALL
+;   is too different of the one of SMALLDRAW.
+;   2) YXASPECT=n : multiply by n the aspect rapport given by default.
 ;   For example in plt, RAPPORTYX is calculated to the reference be orthonormal,
 ;   to have a reference where the y axis is 2 time bigger than the x one, YXASPECT=2.
 ;	
-; @keyword PORTRAIT       
+; @keyword PORTRAIT
 ; Force the page or the window to be in standing position.
-; 
-; @keyword LANDSCAPE       
+;
+; @keyword LANDSCAPE
 ; Force the page or the window on the screen to be in lengthened position.
-; 
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords
 ;
 ; @param POSFENETRE {type=vector}
-; It is a vector made of 4 elements containing the position of the frame 
-; containing captions + the graph in normalized coordinates. 
-; Comment: to position the drawing, we have to do !p.position=POSFENETRE 
+; It is a vector made of 4 elements containing the position of the frame
+; containing captions + the graph in normalized coordinates.
+; Comment: to position the drawing, we have to do !p.position=POSFENETRE
 ; after the call of calibre.
 ;
 ; @param POSBAR {type=vector}
-; See POSFENTRE but for the color bar. Same comment to position the color bar, !p.position=POSBAR
+; See POSFENTERE but for the color bar. Same comment to position the color bar, !p.position=POSBAR
 ;
 ; @uses
@@ -103,5 +102,5 @@
    if keyword_set(landscape) then key_portrait=0
    if keyword_set(yxaspect) then begin
-      rapportyx=rapportyx*yxaspect 
+      rapportyx=rapportyx*yxaspect
       test2=0
    endif else begin
@@ -109,5 +108,5 @@
       test2=1
     ENDELSE
-; 
+;
     mipgsz = min(page_size, max = mapgsz)
 ;------------------------------------------------------------
@@ -133,6 +132,6 @@
       numlig = numero/nbrecol
       numcol = numero-numlig*nbrecol
-      bas = mipgsz*key_portrait+mapgsz*(1-key_portrait) 
-      cote = mapgsz*key_portrait+mipgsz*(1-key_portrait) 
+      bas = mipgsz*key_portrait+mapgsz*(1-key_portrait)
+      cote = mapgsz*key_portrait+mipgsz*(1-key_portrait)
       poscol = page_margins[0]+findgen(nbrecol+1)*(1.*(bas-(page_margins[0]+page_margins[1]))/nbrecol)
       poslig = cote-page_margins[3]-findgen(nbrelig+1)*(1.*(cote-(page_margins[2]+page_margins[3]))/nbrelig)
@@ -166,5 +165,5 @@
    else rapportmax=1.*(small-marge[2]-marge[0])/(big-marge[3]-marge[1])
 ;------------------------------------------------------------
-; If YXASPECT is not specified, we modify the value of RAPPORTYX 
+; If YXASPECT is not specified, we modify the value of RAPPORTYX
 ; to it match better with the leaf's proportions.
 ;------------------------------------------------------------
@@ -189,5 +188,5 @@
 ; in the case where we do a Landscape:
 ;------------------------------------------------------------
-   if key_portrait eq 0 then begin       
+   if key_portrait eq 0 then begin
       if keyword_set(rempli) then begin
          xs=big
@@ -220,5 +219,5 @@
 ; In the case where we do a portrait:
 ;------------------------------------------------------------
-   else begin       
+   else begin
       if keyword_set(rempli) then begin
          xs=small
@@ -258,10 +257,10 @@
                       ,-margebar[1]/bas,(-ys+margebar[3])/cote ]
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps calibre', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps calibre', systime(1)-tempsun
 
   IF NOT keyword_set(key_forgetold) THEN BEGIN
    @updateold
-  ENDIF 
-  
+  ENDIF
+
    return
 end
Index: /trunk/SRC/ToBeReviewed/STATISTICS/c_timecorrelate.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STATISTICS/c_timecorrelate.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/STATISTICS/c_timecorrelate.pro	(revision 226)
@@ -1,5 +1,5 @@
 ;+
 ; @file_comments
-; 
+;
 ;
 ; @categories
@@ -65,5 +65,5 @@
 ; This function computes the "time cross correlation" Pxy(L) or
 ; the "time cross covariance" between 2 arrays (this is some
-; kind of c_correlate but for multidimenstionals arrays) as a
+; kind of c_correlate but for multidimensional arrays) as a
 ; function of the lag (L).
 ;
@@ -85,5 +85,5 @@
 ;
 ; @keyword COVARIANCE
-; If set to a non-zero value, the sample cross 
+; If set to a non-zero value, the sample cross
 ; covariance is computed.
 ;
@@ -93,5 +93,5 @@
 ;
 ; @examples
-; 
+;
 ;       Define two n-element sample populations.
 ;         x = [3.73, 3.67, 3.77, 3.83, 4.67, 5.87, 6.70, 6.97, 6.40, 5.57]
@@ -108,5 +108,5 @@
 ;       - 01/03/2000 Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;       Based on the C_CORRELATE procedure of IDL
-;       - August 2003 Sebastien Masson 
+;       - August 2003 Sebastien Masson
 ;       update according to the update made in C_CORRELATE by
 ;       W. Biagiotti and available in IDL 5.5
@@ -122,5 +122,5 @@
 FUNCTION c_timecorrelate, X, Y, Lag, Covariance = Covariance, Double = Double
 
-;Compute the sample cross correlation or cross covariance of 
+;Compute the sample cross correlation or cross covariance of
 ;(Xt, Xt+l) and (Yt, Yt+l) as a function of the lag (l).
 
@@ -138,5 +138,5 @@
    if nt lt 2 then $
     MESSAGE, "Time dimension of X and Y arrays must contain 2 or more elements."
-   
+
 ;If the DOUBLE keyword is not set then the internal precision and
 ;result are identical to the type of input.
@@ -168,12 +168,12 @@
    if KEYWORD_SET(Covariance) eq 0 then begin ;Compute Cross  Crossation.
       for k = 0, nLag-1 do begin
-         if Lag[k] ge 0 then BEGIN 
+         if Lag[k] ge 0 then BEGIN
             case NDim of
                1: Cross[k] = TimeCross_Cov(Xd, Yd, Lag[k], nT, Ndim, Double = Double)
                2: Cross[*, k] = TimeCross_Cov(Xd, Yd, Lag[k], nT, Ndim, Double = Double)
                3: Cross[*, *, k] = TimeCross_Cov(Xd, Yd, Lag[k], nT, Ndim, Double = Double)
-               4: Cross[*, *, *, k] = TimeCross_Cov(Xd, Yd, Lag[k], nT, Ndim, Double = Double) 
+               4: Cross[*, *, *, k] = TimeCross_Cov(Xd, Yd, Lag[k], nT, Ndim, Double = Double)
              endcase
-         ENDIF else BEGIN 
+         ENDIF else BEGIN
             case NDim of
                1: Cross[k] = TimeCross_Cov(Yd, Xd, ABS(Lag[k]), nT, Ndim, Double = Double)
@@ -182,5 +182,5 @@
                4: Cross[*, *, *, k] = TimeCross_Cov(Yd, Xd, ABS(Lag[k]), nT, Ndim, Double = Double)
              endcase
-         ENDELSE 
+         ENDELSE
        ENDFOR
        div = sqrt(TimeCross_Cov(Xd, Xd, 0L, nT, Ndim, Double = Double, /zero2nan) * $
@@ -196,5 +196,5 @@
                4: Cross[*, *, *, k] = TimeCross_Cov(Xd, Yd, Lag[k], nT, Ndim, Double = Double) / nT
             ENDCASE
-         ENDIF else BEGIN 
+         ENDIF else BEGIN
             case NDim of
                1: Cross[k] = TimeCross_Cov(yd, xd, ABS(Lag[k]), nT, Ndim, Double = Double) / nT
@@ -203,5 +203,5 @@
                4: Cross[*, *, *, k] = TimeCross_Cov(yd, xd, ABS(Lag[k]), nT, Ndim, Double = Double) / nT
             ENDCASE
-         ENDELSE 
+         ENDELSE
       endfor
    endelse
@@ -210,3 +210,3 @@
 
 END
-  
+
Index: /trunk/SRC/ToBeReviewed/STRING/getfile.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/STRING/getfile.pro	(revision 226)
@@ -77,5 +77,5 @@
           file = file[0]
           if file EQ 'NOT FOUND' then begin
-            print, ' Error in getfile: File '+filein+' not fouond.'
+            print, ' Error in getfile: File '+filein+' not found.'
             return, -1
           endif
Index: /trunk/SRC/ToBeReviewed/STRING/str_size.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/str_size.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/STRING/str_size.pro	(revision 226)
@@ -22,5 +22,5 @@
 ; the target width.
 ;
-; @keyword INITSIZE {default=1.0}  
+; @keyword INITSIZE {default=1.0}
 ; This is the initial size of the string. Default is 1.0.
 ;
@@ -29,5 +29,5 @@
 ; of the interactive process of calculating the string size.
 ;
-; @returns 
+; @returns
 ; thisCharSize. This is the size the specified string should be set
 ; to if you want to produce output of the specified target
@@ -45,5 +45,5 @@
 ; Written by: David Fanning, 17 DEC 96.
 ; Added a scaling factor to take into account the aspect ratio
-; of the window in determing the character size. 28 Oct 97. DWF
+; of the window in determining the character size. 28 Oct 97. DWF
 ;
 ; @version
Index: /trunk/SRC/ToBeReviewed/STRING/strtok.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/STRING/strtok.pro	(revision 226)
@@ -4,5 +4,5 @@
 ; @file_comments
 ; Retrieve portion of string up to token.
-; 
+;
 ; @categories
 ; String
@@ -10,14 +10,14 @@
 ; @param STRING {in}{required}
 ; String to be split. Contains text after in, out token on output.
-; 
+;
 ; @param TOKEN {in}{required}
-; Token to use in splitting old.       
+; Token to use in splitting old.
 ;
-; @keyword TRIM 
+; @keyword TRIM
 ; set to remove leading blanks from old before returning.
 ;
 ; @keyword HELP
 ; print useful message and exit.
-; 
+;
 ; @returns
 ; new   -- portion of string up to token.              out
@@ -28,5 +28,5 @@
 ; Token may be one or more characters.
 ; if token is not found, returns old and sets old to ''.
-; 
+;
 ; @examples
 ;       If old is 'foo44 bar', then strtok( old, '44' ) would return
@@ -58,5 +58,5 @@
 ;  Copyright (C) 1996 The Regents of the University of California, All
 ;  Rights Reserved.  Written by Matthew W. Craig.
-;  See the file COPYRIGHT for restrictions on distrubting this code.
+;  See the file COPYRIGHT for restrictions on distributing this code.
 ;  This code comes with absolutely NO warranty; see DISCLAIMER for details.
 ;
@@ -74,5 +74,5 @@
     On_error, 2
 
-    IF (n_params() NE 2) OR keyword_set(Help) THEN BEGIN 
+    IF (n_params() NE 2) OR keyword_set(Help) THEN BEGIN
         offset = '   '
         print, offset+'Retrieve portion of string up to token.'
@@ -102,19 +102,19 @@
         print, offset+offset+"  new='xyz' and old=''."
         return, -1
-    ENDIF 
+    ENDIF
 
     pos = strpos(string, token)
 
     IF (pos GE 0) THEN BEGIN
-        front = strmid(string, 0, pos) 
+        front = strmid(string, 0, pos)
         string = strmid(string, pos + strlen(token), strlen(string))
         IF keyword_set(trim) THEN string = strtrim(string, 1)
         return, front
     ENDIF
-    
+
     front = string
     string = ''
     return, front
-    
+
 END
 
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/extractstru.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/extractstru.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/extractstru.pro	(revision 226)
@@ -13,5 +13,5 @@
 ;
 ; @param LISTE {in}{required}{type=vector}
-; A vector of string including names of STRU to be deleted 
+; A vector of string including names of STRU to be deleted
 ; (by default) or to be kept (if KEEP is activated).
 ;
@@ -48,5 +48,5 @@
 ; @version
 ; $Id$
-; 
+;
 ;-
 ;------------------------------------------------------------
@@ -59,5 +59,5 @@
    if size(stru, /type) NE 8 then return,  -1
    if size(liste, /type) NE 7 then return,  -1
-; cheking for keep and vire keywords
+; checking for keep and vire keywords
    keep = keyword_set(keep)*(1-keyword_set(delete))
    delete = keyword_set(delete)*(1-keyword_set(keep)) +(keyword_set(delete) EQ keep)
@@ -80,5 +80,5 @@
       if n_elements(index) GT 1 then for i = 1, n_elements(index)-1 do $
             res = create_struct(res, tname[index[i]], stru.(index[i]))
-   ENDELSE 
+   ENDELSE
 
    return, res
Index: /trunk/SRC/ToBeReviewed/STRUCTURE/struct2string.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/STRUCTURE/struct2string.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/STRUCTURE/struct2string.pro	(revision 226)
@@ -3,5 +3,5 @@
 ;------------------------------------------------------------
 ;+
-; 
+;
 ; @file_comments
 ; Convert a structure to an "executable string"
@@ -9,5 +9,5 @@
 ; @categories
 ; Utilities
-; 
+;
 ; @param STRUCT {in}{required}
 ; A structure
@@ -15,5 +15,5 @@
 ; @keyword MAX_STRUCT_LENGTH {default=10000l}
 ; The maximum length of the structure
-; permetted to convert the structure to string.
+; permitted to convert the structure to string.
 ;
 ; @keyword DIRECT2STRING
@@ -31,5 +31,5 @@
 ;      create_struct('NAME','X','X_SIZE',891,'Y_SIZE',630,'X_VSIZE'
 ;      ,891,'Y_VSIZE',630,'X_CH_SIZE',6,'Y_CH_SIZE',10,'X_PX_CM'
-;      ,40.0000,'Y_PX_CM',40.0000,'N_COLORS',16777216,'TABLE_SIZE' 
+;      ,40.0000,'Y_PX_CM',40.0000,'N_COLORS',16777216,'TABLE_SIZE'
 ;      ,256,'FILL_DIST',1,'WINDOW',32,'UNIT',0,'FLAGS',328124,'ORIGIN'
 ;      ,[0,0],'ZOOM',[1,1])
@@ -46,5 +46,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-FUNCTION struct2string, struct, CUT_IN_STRING = cut_in_string, MAX_STRUCT_LENGTH = max_struct_length, DIRECT2STRING = direct2string 
+FUNCTION struct2string, struct, CUT_IN_STRING = cut_in_string, MAX_STRUCT_LENGTH = max_struct_length, DIRECT2STRING = direct2string
 ;
   compile_opt idl2, strictarrsubs
@@ -65,5 +65,5 @@
             endfor
          endif
-         
+
       END
       keyword_set(CUT_IN_STRING):BEGIN
Index: /trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/TRIANGULATION/ciseauxtri.pro	(revision 226)
@@ -3,18 +3,18 @@
 ;------------------------------------------------------------
 ;+
-; @file_comments 
+; @file_comments
 ; Delete arrays which do not have to be drawn thanks to 2 tests:
 ;     1) Corners of the array must be in the window
-;     2) Lengthes of side of triangles expressed in normalized 
-;        coordinates must not surpass a sill length. 
+;     2) Lengthes of side of triangles expressed in normalized
+;        coordinates must not surpass a sill length.
 ;
 ; @categories
 ;
 ; @param TRIANG
-; 
-; @param GLAM 
-;
-; @param GPHI 
-; 
+;
+; @param GLAM
+;
+; @param GPHI
+;
 ; @keyword _EXTRA
 ; Used to pass your keywords.
@@ -29,5 +29,5 @@
 ; @version
 ; $Id$
-; 
+;
 ;-
 ;------------------------------------------------------------
@@ -56,5 +56,5 @@
 
    tempdeux = systime(1)        ; For key_performance =2
-   z = convert_coord(glam[*],gphi[*],/data,/to_normal) 
+   z = convert_coord(glam[*],gphi[*],/data,/to_normal)
    x = z[0, *]
    y = z[1, *]
@@ -63,6 +63,6 @@
     print, 'temps ciseauxtri: convert_coord data to_normal', systime(1)-tempdeux
 ;
-; Beware, following the projection, some points x or y can become NaN 
-; (see points behind the Earth in an orthographic projection). 
+; Beware, following the projection, some points x or y can become NaN
+; (see points behind the Earth in an orthographic projection).
 ; In this case, we have to remove all triangle which contain one of these points.
 ;
@@ -99,7 +99,7 @@
       testy = abs(temporary(ytri)) GT ((!p.position[3]-!p.position[1])/seuil)
       testy = total(temporary(testy), 1)
-; 
+;
       test = temporary(testx)+temporary(testy)
-      ind=where(temporary(test) EQ 0) 
+      ind=where(temporary(test) EQ 0)
 ;
       IF testvar(var = key_performance) EQ 2 THEN $
@@ -146,8 +146,8 @@
    if keyword_set(trichanged) then BEGIN
 ;
-; We have to check that triangles we keep do not form a triangulation 
-; in which 2 triangles have a common summit without have a common side. 
-;
-; We constitute the list of rectangles we want to keep (we keep every 
+; We have to check that triangles we keep do not form a triangulation
+; in which 2 triangles have a common summit without have a common side.
+;
+; We constitute the list of rectangles we want to keep (we keep every
 ; rectangle containing a triangle)
 ;
@@ -155,5 +155,5 @@
 ; last summit are those of the diagonale of the rectangle defined by
 ; the mesh size. To find from which rectangle a triangle comes, we look
-; for the min of the index folowing x and following y of each triangle.
+; for the min of the index following x and following y of each triangle.
 ; Then we go by again this indexion following x and y in an indexion
 ; following nx*ny/
@@ -166,17 +166,17 @@
       indxtriang2 = triang[2, *]-nx*(triang[2, *]/nx)
       indxmin = indxtriang0 < indxtriang2
-; Beware in the case where the grid is periodic and where we have all points 
-; following x, triangles which assure the periodicity in x have indexes 
-; following x which are 0 and nx-1. They belong to rectangles of the column 
+; Beware in the case where the grid is periodic and where we have all points
+; following x, triangles which assure the periodicity in x have indexes
+; following x which are 0 and nx-1. They belong to rectangles of the column
 ; nx-1 and not to column 0.
       if keyword_set(key_periodic) AND nx EQ jpi then BEGIN
       indxmax = indxtriang0 > indxtriang2
       indxtriang = indxmin + (nx-1)*(indxmin EQ 0 AND indxmax EQ (nx-1))
-      ENDIF ELSE indxtriang = indxmin 
+      ENDIF ELSE indxtriang = indxmin
       listrect = nx*indytriang+indxtriang
       IF testvar(var = key_performance) EQ 2 THEN $
        print, 'temps ciseauxtri: liste des rectangles', systime(1)-tempdeux
 ;
-; Now we have this list, we will make sure that we do not have triangles 
+; Now we have this list, we will make sure that we do not have triangles
 ; with only a common summit.
 ;
@@ -195,5 +195,5 @@
                          *shift(test, 0, -1)*shift(test, -1, 0)) EQ 1)
 ; We delete the top rectangle (same x index but equal to 1)
-         if vire2[0] NE -1 THEN test[vire2+nx] = 0 
+         if vire2[0] NE -1 THEN test[vire2+nx] = 0
       ENDWHILE
 ;stop
@@ -202,5 +202,5 @@
       avirer = where(temporary(test) EQ 0)
       IF testvar(var = key_performance) EQ 2 THEN $
-       print, 'temps ciseauxtri: determinationdes rectangles a virer', systime(1)-tempdeux
+       print, 'temps ciseauxtri: determination des rectangles a virer', systime(1)-tempdeux
 ;
       if avirer[0] NE -1 then begin
@@ -208,5 +208,5 @@
       indnx = n_elements(listrect)
       indny = n_elements(avirer)
-      ind = listrect[*]#replicate(1l, indny) 
+      ind = listrect[*]#replicate(1l, indny)
       ind = ind EQ replicate(1, indnx)#avirer[*]
       if indny GT 1 then ind = total(ind, 2)
@@ -217,7 +217,7 @@
        print, 'temps ciseauxtri: derniere retouche de la triangulation', systime(1)-tempdeux
    endif
-;    
-;
-   if keyword_set(key_performance) THEN print, 'temps ciseauxtri', systime(1)-tempsun 
+;
+;
+   if keyword_set(key_performance) THEN print, 'temps ciseauxtri', systime(1)-tempsun
 ;
    return,  triang
